Skip to main content
GET
/
entities
/
{ent_id}
/
subscriptions
curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "credit_score": {
    "id": "sub_c3a7hVjHCJzF3",
    "name": "credit_score",
    "status": "active",
    "payload": null,
    "latest_request_id": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  },
  "connect": {
    "id": "sub_6f7XtMLymQx3f",
    "name": "connect",
    "status": "active",
    "payload": null,
    "latest_request_id": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  },
  "attribute": {
    "id": "sub_6f7XtMLymQx3f",
    "name": "attribute",
    "status": "active",
    "payload": {
      "attributes": {
        "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
      }
    },
    "latest_request_id": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  }
}
Returns a map of Subscription names to Subscription objects associated with an Entity, or an empty object if none have been created.

Path Parameters

Returns

Returns a map of Subscription names to Subscription objects.
curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "credit_score": {
    "id": "sub_c3a7hVjHCJzF3",
    "name": "credit_score",
    "status": "active",
    "payload": null,
    "latest_request_id": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  },
  "connect": {
    "id": "sub_6f7XtMLymQx3f",
    "name": "connect",
    "status": "active",
    "payload": null,
    "latest_request_id": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  },
  "attribute": {
    "id": "sub_6f7XtMLymQx3f",
    "name": "attribute",
    "status": "active",
    "payload": {
      "attributes": {
        "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
      }
    },
    "latest_request_id": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  }
}